/*  JBMenuInterface.java
 *
 *  Copyright (C) 2003 Dominik Werthmueller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */ 

package ch.fulgur.jarbuilder;



/** 
 * JBMenuInterface.java
 * 
 * This file defines the methods of the JarBuilder menu entries
 *
 * @author Dominik Werthmueller
 * 
 */
public interface JBMenuInterface {
	
	/**
	 * Method for "File - Create Jar File"
	 */
	public void requestMenuCreateJar();
	
	
	/**
	* Method for "File - Quit"
	*/
	public void requestMenuQuit();
	
	
	/**
	* Method for "Edit - Add File(s)"
	*/
	public void requestMenuAddFiles();
	
	
	/**
	* Method for "Edit - Remove File(s)"
	*/
	public void requestMenuRemoveFiles();


	/**
	* Method for "Edit - Clear List"
	*/
	public void requestMenuClearList();
	
	
	/**
	* Method for "Help - Help Contents"
	*/
	public void requestMenuHelpContents();
	
	
	/**
	* Method for "Help - About"
	*/
	public void requestMenuAbout();

		
}
