/*  Panel2.java
 *
 *  Copyright (C) 2002-2003 Dominik Werthmueller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package ch.fulgur.jarbuilder;

import java.awt.*;
import javax.swing.*;



/** 
 * Panel2.java
 *
 * @author Dominik Werthmueller
 * 
 */
public class Panel2 extends SuperPanel {

	private JRadioButton rbAuto, rbLoad, rbWrite, rbNo;
	private JTextArea taManifest;


	/**
	 *	enable or disable all components of panel 2
	 * @param state true for enable, false for disable
	 */
	public void setStateOfElements(boolean state) {
		rbAuto.setEnabled(state);
		rbWrite.setEnabled(state);
		rbLoad.setEnabled(state);
		rbNo.setEnabled(state);
		taManifest.setEnabled(state);
	}


	/**
	 * return the state of a radiobutton
	 * @param chkbx the number of the radiobutton 
	 * (rbAuto = 0, rbLoad = 1, rbWrite = 2, rbNo = 3)
	 */
	public boolean radioButtonisSelected(int rb) {
		switch (rb) {
			case 0 :
				return rbAuto.isSelected();
			case 1 :
				return rbLoad.isSelected();
			case 2 :
				return rbWrite.isSelected();
			case 3 :
				return rbNo.isSelected();
		}
		return false;
	}


	/**
	 * return the state of a checkbox
	 * @param chkbx the number of the checkbox 
	 * (rbAuto = 0, rbLoad = 1, rbWrite = 2, rbNo = 3)
	 */
	public void setRadioButton(int rb, boolean state) {
		switch (rb) {
			case 0 :
				rbAuto.setSelected(state);
				break;
			case 1 :
				rbLoad.setSelected(state);
				break;
			case 2 :
				rbWrite.setSelected(state);
				break;
			case 3 :
				rbNo.setSelected(state);
				break;
		}
	}


	/**
	 * return the JTextArea for the manifest text
	 * 
	 * @return JTextArea TAManifest
	 */
	public JTextArea getTAManifest() {
		return taManifest;
	}




	/**
	 * Constructor for Panel2
	 */
	public Panel2(JBButtonInterface b) {
		super(b);
		setLayout(new BorderLayout());
		setBorder(BorderFactory.createTitledBorder("2. Step: Manifest"));

		// panel for radiobuttons
		JPanel panelTop = new JPanel(new FlowLayout(FlowLayout.LEFT));

		ButtonGroup bgManifest = new ButtonGroup();

		rbAuto = new JRadioButton("Auto-generate Manifest");
		rbAuto.setSelected(true);
		panelTop.add(rbAuto);
		bgManifest.add(rbAuto);

		rbLoad = new JRadioButton("Load own Manifest");
		panelTop.add(rbLoad);
		bgManifest.add(rbLoad);

		rbWrite = new JRadioButton("Write own Manifest");
		panelTop.add(rbWrite);
		bgManifest.add(rbWrite);

		rbNo = new JRadioButton("No Manifest");
		panelTop.add(rbNo);
		bgManifest.add(rbNo);

		add(panelTop, BorderLayout.NORTH);

		// textarea
		JPanel panelBottom = new JPanel(new BorderLayout());
		panelBottom.add(new JLabel(" Write your own Manifest here"), BorderLayout.NORTH);
		taManifest = new JTextArea();

		taManifest.setPreferredSize(new Dimension(0, 120));
		taManifest.setFont(new Font("Courier", Font.PLAIN, 13));
		JScrollPane spManifest = new JScrollPane(taManifest);
		panelBottom.add(spManifest, BorderLayout.CENTER);
		add(panelBottom, BorderLayout.CENTER);
	}
}
