/*  SuperPanel.java
 *
 *  Copyright (C) 2003 Dominik Werthmueller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package ch.fulgur.jarbuilder;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;



/** 
 * SuperPanel.java
 * 
 * This file should simplify the button event handling
 *
 * @author Dominik Werthmueller
 * 
 */
public class SuperPanel extends JPanel implements ActionListener {

	private JBButtonInterface buttonMethods;
	
	
	/**
	 * Implement the abstract method ActionListener.actionPerformed
	 * 
	 */
	public void actionPerformed(ActionEvent e) {
		Component component;
		String s;
		
		/*
		 * convert the source of the action to a component and read 
		 * its name (actually a number)
		 */
		component = (Component) e.getSource();
		s = component.getName();
		
		
		/*
		 * assign the correct methods to the buttons
		 */
		switch (Integer.parseInt(s)) {
			case 0 :
				buttonMethods.requestButtonAddFiles();
				break;
			case 1 :
				buttonMethods.requestButtonRemoveFiles();
				break;
			case 2 :
				buttonMethods.requestButtonClearList();
				break;
			case 3:
				buttonMethods.requestButtonCreateJar();
				break;
			case 4:
				buttonMethods.requestButtonClearAll();
				break;
			case 5:
				buttonMethods.requestButtonQuit();
				break;
			case 6:
				buttonMethods.requestButtonAbort();
				break;
		}
	}
	
	
	/**
	 * Constructor for the SuperPanel Class
	 *
	 */
	public SuperPanel(JBButtonInterface a) {
		buttonMethods = a;
	}
	
}
