/*  VarUtils.java
 *
 *  Copyright (C) 2002-2003 Dominik Werthmueller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */ 

package ch.fulgur.jarbuilder;

import java.awt.*;
import javax.swing.*;


 
/** 
 * VarUtils.java
 *
 * @author Dominik Werthmueller
 * 
 */
public class VarUtils {
	
	public final static String FILESEPARATOR = System.getProperty("file.separator");
	

	/** 
	 * this method loads ImageIcons
	 * 
	 * @param iconname Name of the Icon
	 * @return Icon
	 */
	public ImageIcon loadIcon(String iconName) {
		ImageIcon icon = null;
		String sep;
		
		// try to load image
		try {
			try {
					icon = new ImageIcon(this.getClass().getResource("images" + FILESEPARATOR + iconName));
			} catch (Exception err) {
				if (FILESEPARATOR.equals("/")) sep = "\\";
				else sep = "/";
				icon = new ImageIcon(this.getClass().getResource("images" + sep + iconName));
			}
		} catch (Exception e) {
				System.out.println("Couldn't load button icons\n" + e);
		}
		
		return icon;
	}
	
	
	/**
	 * this method returns the default GridBagConstraints
	 *
	 * @return standart GridBagConstraints
	 */
	public GridBagConstraints getDefaultGridBagCons() {
		GridBagConstraints a = new GridBagConstraints();
		a.fill = GridBagConstraints.HORIZONTAL;
		a.insets = new Insets(3, 3, 3, 3);
		a.weightx = 1.0;
		a.weighty = 1.0;
		a.gridheight = 1;
		a.gridwidth = 1;

		return a;
	}
}
